# Get-RASBrokerStatus.md

## NAME

Get-RASBrokerStatus

## SYNOPSIS

Retrieves the RAS Connection Broker status information.

## SYNTAX

**Get-RASBrokerStatus** \[\[-[Id](#id-string)] *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Get-RASBrokerStatus \[\[-[InputObject](#inputobject)] *(*[*Broker*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/broker.md)*)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Get-RASBrokerStatus** \[\[-[Server](#server-string)] *(string)*] \[\[-[SiteId](#siteid-string)] *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Retrieves the RAS Connection Broker status information.

## PARAMETERS

## Server (string)

The name of the server for which to retrieve the information.

This must be the actual server name used in the RAS farm.

```
        Required?                    false

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to retrieve the specified RAS Connection Broker info.

If the parameter is omitted, the site ID of the Licensing Server will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of the server for which to retrieve the information. To obtain the ID, use the Get-RASBroker cmdlet.

```
        Required?                    false

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([Broker](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/broker.md))

An object of type Broker representing a server for which to retrieve the information.

To obtain the object, use the Get-RASBroker cmdlet.

```
        Required?                    false

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[Broker](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/broker.md)

## OUTPUTS

[BrokerSysInfo](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/brokersysinfo.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASBrokerStatus -Id 15

Retrieves the RAS Connection Broker status information for the server with ID 15.\
\*\*---------- EXAMPLE 2 ----------

Get-RASBrokerStatus -Server MyBroker

Retrieves the RAS Connection Broker status information for the server named "MyBroker".\
\*\*---------- EXAMPLE 3 ----------

Get-RASBrokerStatus -InputObject $Broker

Retrieves the RAS Connection Broker status information for the server represented by the $Broker object.\
\*\*---------- EXAMPLE 4 ----------

Get-RASBroker -Id 15 | Get-RASBrokerStatus

Retrieves the RAS Connection Broker status information for the server represented by the $Broker object obtained from pipeline output.

## RELATED LINKS

* [New-RASBroker](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasbroker.md)
* [Get-RASBroker](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasbroker.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasbrokerstatus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
